## Get market supply `markets.get_supply(MarketGetSupplyParams**kwargs) -> MarketGetSupplyResponse` **get** `/api/v1/markets/supply` Get market supply ### Parameters - `with_text: Optional[bool]` Include text variation fields ### Returns - `class MarketGetSupplyResponse: …` - `data: Data` - `borrow_collateral: BorrowCollateralMarketSupply` Borrowing market supply - collaterals - `non_receipt: MarketSupplyPool` Supply of all collaterals (excluding receipt tokens) - `balance: str` Sum USD value of market balance - `extra: Extra` - `text: Optional[ExtraText]` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `balance: str` - `shares: str` - `shares: str` Sum USD value of market shares - `receipt: MarketSupplyPool` Supply of receipt token collaterals - `total: MarketSupplyPool` Total supply for collaterals, regardless of type. Equivalent to `non_receipt + receipt` - `borrow_debt: MarketSupplyPool` Borrowing market supply - debts - `lend: LendMarketSupply` Lending market supply - `extra: Extra` - `text: Optional[ExtraText]` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `principal: str` - `principal: str` Sum USD value of lending principal - `tvl: Tvl` Market TVL - `extra: Extra` - `text: Optional[ExtraText]` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `net_tvl: str` - `tvl: str` - `net_tvl: str` Market net TVL in USD (equivalent to `tvl - borrow.debts.supply.balance`) - `tvl: str` Market TVL in USD (equivalent to `borrow.collaterals.supply.non_receipt.balance + lend.supply.principal`) - `error: None` Error data. Guaranteed `null` for successful response. - `status: int` HTTP status. Successful responses are guaranteed to be < `400`. Conversely, error responses are guaranteed to be >= `400`. - `status_text: str` HTTP status text ### Example ```python from neptune_api_v2 import NeptuneAPIV2 client = NeptuneAPIV2() response = client.markets.get_supply() print(response.data) ``` #### Response ```json { "data": { "borrow_collateral": { "non_receipt": { "balance": "1911404.359986036157511319", "shares": "1461677.619335545343149205", "extra": { "text": { "shares": "$1,461,677.61", "balance": "$1,911,404.35" } } }, "receipt": { "balance": "200517.404188230833340572", "shares": "200517.404188230833340572", "extra": { "text": { "shares": "$200,517.40", "balance": "$200,517.40" } } }, "total": { "balance": "2111921.764174266990851891", "shares": "1662195.023523776176489777", "extra": { "text": { "shares": "$1,662,195.02", "balance": "$2,111,921.76" } } } }, "borrow_debt": { "balance": "1175633.019245139869052634", "shares": "1027257.134081383640559021", "extra": { "text": { "shares": "$1,027,257.13", "balance": "$1,175,633.01" } } }, "lend": { "principal": "1674639.064979431919912068", "extra": { "text": { "principal": "$1,674,639.06" } } }, "tvl": { "tvl": "3586043.424965468077423387", "net_tvl": "2410410.405720328208370753", "extra": { "text": { "net_tvl": "$2,410,410.40", "tvl": "$3,586,043.42" } } } }, "error": null, "status": 200, "status_text": "OK" } ```